package contract_request

import (
	"private-go-sdk/http"
	"encoding/json"
	"private-go-sdk/model/common"
)

type ContractSignSuspendRequest struct {
	SingleContractInfo *common.ContractRequest `json:"singleContractInfo"`
}
func (obj ContractSignSuspendRequest) GetUrl() string {
    return "/contract/sign/suspend"
}

func (obj ContractSignSuspendRequest) GetHttpParameter() *http.HttpParameter {
    parameter := http.NewPostHttpParameter()
    jsonBytes, _ := json.Marshal(obj)
    parameter.SetJsonParamer(string(jsonBytes))
    return parameter
}
